#include <string>
#include <map>

using namespace std;

class GameEngine {
  int hit_points = 0;
  map<string, int> damage_types{
    {"error", 4},
    {"warning", 1},
    {"note", 1},
  };

  public:
  GameEngine(int hp);

  int determine_damage(string &type);

  bool hit(string &type);

  bool is_dead();
};
